API reference
Create a deployment
Builds and launches a new version of a site.
POST
Builds and launches a new version of a site.
apiKeyheader
AuthorizationBearer <token>id*stringapplication/json- body
source*The new deployment.
application/json- response
id*stringsite_id*stringstatus*stringValue in
"queued""building""ready""failed"url?|Format
uricurl -X POST 'https://api.upsky.dev/v1/hosting/sites/string/deployments' \ -H 'Content-Type: application/json' \ -d '{ "source": { "type": "git", "ref": "main" }}'Example Response
{ "id": "string", "site_id": "string", "status": "queued", "url": "http://example.com"}